Search the paginated shop order import history
GET
/shops/{id}/order-sync/log
const url = 'https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/order-sync/log?search=&outcome=all&limit=25&offset=0';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/order-sync/log?search=&outcome=all&limit=25&offset=0' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Query Parameters
Section titled “Query Parameters”search
string
outcome
string
limit
integer
offset
integer | null
Responses
Section titled “Responses”Import outcomes, newest first
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
externalOrderId
required
string
externalRef
required
string | null
orderId
required
UUID v7
string | null format: uuid
severity
required
string
status
required
string
reason
required
string | null
financialStatus
required
string | null
createdAt
required
string format: date-time
total
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Sign in required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not permitted
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Shop or log entry not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}